Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEntry Constructor (array<Byte>[]()[], UInt32, UInt32)
DatabaseEntry Class See Also Send Feedback

Create a new partial DatabaseEntry object, with the specified data

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public DatabaseEntry(
    	byte[] data,
    	uint offset,
    	uint len
    )

Visual Basic (Declaration)
    Public Sub New ( _
    	data As Byte(), _
    	offset As UInteger, _
    	len As UInteger _
    )

Visual C++
    public:
    DatabaseEntry(
    	array<unsigned char>^ data,
    	unsigned int offset,
    	unsigned int len
    )

#### Parameters

data
  Type: array< System..::.Byte >[]()[]
  Byte array wrapped by the DatabaseEntry

offset
  Type: System..::.UInt32
  The offset of the partial record being read or written by the application, in bytes

len
  Type: System..::.UInt32
  The byte length of the partial record being read or written by the application

# See Also

DatabaseEntry Class
DatabaseEntry Overload
BerkeleyDB Namespace